Xapian: API Documentation: Xapian::ExpandDeciderFilterTerms Class Reference

xapian-core 1.4.22

Public Member Functions | List of all members
Xapian::ExpandDeciderFilterTerms Class Reference

ExpandDecider subclass which rejects terms in a specified list. More...

`#include <expanddecider.h>`

Inheritance diagram for Xapian::ExpandDeciderFilterTerms:
[legend]

## Public Member Functions
template<class Iterator >
| ExpandDeciderFilterTerms (Iterator reject_begin, Iterator reject_end)
| The two iterators specify a list of terms to be rejected. More...
virtual bool | operator() (const std::string &term) const
| Do we want this term in the ESet? More...
Public Member Functions inherited from Xapian::ExpandDecider
| ExpandDecider ()
| Default constructor.
virtual bool | operator() (const std::string &term) const =0
| Do we want this term in the ESet? More...
virtual | ~ExpandDecider ()
| Virtual destructor, because we have virtual methods.
ExpandDecider * | release ()
| Start reference counting this object. More...
const ExpandDecider * | release () const
| Start reference counting this object. More...

## Detailed Description

ExpandDecider subclass which rejects terms in a specified list.

ExpandDeciderFilterTerms provides an easy way to filter out terms from a fixed list when generating an ESet.

## Constructor & Destructor Documentation

## ◆ ExpandDeciderFilterTerms()

template<class Iterator >

Xapian::ExpandDeciderFilterTerms::ExpandDeciderFilterTerms | ( | Iterator | reject_begin,
|  | Iterator | reject_end
| ) |  |
| inline

The two iterators specify a list of terms to be rejected.

Parameters

  reject_begin | Begin iterator for the list of terms to reject. It can be any input_iterator type which returns std::string or char * (e.g. TermIterator or char **).
  reject_end | End iterator for the list of terms to reject.

## Member Function Documentation

## ◆ operator()()

virtual bool Xapian::ExpandDeciderFilterTerms::operator() | ( | const std::string & | term | ) | const
| virtual

Do we want this term in the ESet?

Parameters

  term | The term to test.

Implements Xapian::ExpandDecider.

The documentation for this class was generated from the following file:

- xapian/expanddecider.h